Subject: Re: bug#31546: 27.0.50; macOS child frames with no mode-line mouse click problem

From: Alan Third <[email-masked]>
Date: Tue, 22 May 2018 20:44:41 +0100

On Tue, May 22, 2018 at 12:36:58PM -0700, Aaron Jensen wrote:
> On Tue, May 22, 2018 at 12:33 PM Alan Third <[email-masked]> wrote:
> > Confirmed. I get the tooltip for whatever is under the mouse in the
> > parent frame, even though the child frame is obscuring it
> 
> I should say that even if I move the frame so that it's not over the parent
> frame the scrolling bug still happens. That's the bigger concern for me
> than the incorrect mouse pointer/tooltips. If I accidentally click on a
> posframe in the wrong place it effectively breaks it.

Ah, I see. I think this is because even though you can’t select the
frame, mouse clicks still register in that frame, so you can move
point.

I’m not sure if we can stop clicks registering. I don’t know how this
works on other platforms either, presumably better than here...
-- 
Alan Third